Fabric.with([Crashlytics.self, Twitter.self]) causing xcode EXC_BREAKPOINT with swift 3

ios
crashlytics
twitterkit

#1

Hello,
After migrating to swift 3, i cannot init Fabric with both Crashlytics and Twitter.
Launching the app will trigger the error Calling Twitter.start is not supported. leading to an exception.

With swift 2 i used : Fabric.with([Crashlytics.self, Twitter.self]) to init the pods.
The initialisation precognized in the documentation didn’t work in swift 2 and it doesn’t work in swift 3 either.
So i would like to know what i am supposed to do now, i tried every init that i could think off.


#2

Are you able to upgrade to Twitter Kit 3, which is independent of Fabric?


#3

Oh it is independ now.
Ok i got it, thanks